Bug 13419 - libsmbclient returns a hard coded error of ETIMEDOUT on server connection failure.
libsmbclient returns a hard coded error of ETIMEDOUT on server connection fai...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-02 17:57 UTC by Jeremy Allison
Modified: 2018-05-09 07:56 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.8.next, 4.7.next. (1.32 KB, patch)
2018-05-03 19:48 UTC, Jeremy Allison
vl: review+
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-05-02 17:57:47 UTC
Noticed by the ChromeOS folks when running SMB2-only client code to servers that only support SMB1. Patch to follow.
Comment 1 Jeremy Allison 2018-05-03 19:48:53 UTC
Created attachment 14176 [details]
git-am fix for 4.8.next, 4.7.next.

Cherry-pick from master.
Comment 2 Alexander Bokovoy 2018-05-03 19:57:34 UTC
Comment on attachment 14176 [details]
git-am fix for 4.8.next, 4.7.next.

Looks good, thanks!
Comment 3 Jeremy Allison 2018-05-03 20:02:23 UTC
Re-assigning to Karolin for inclusion in 4.8.next, 4.7.next.
Comment 4 Karolin Seeger 2018-05-07 07:56:26 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-[8,7]-test.
Comment 5 Karolin Seeger 2018-05-09 07:56:17 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!